CREATE TABLE ecal (
  id int(11) NOT NULL auto_increment,
  cid mediumint(8) unsigned NOT NULL default '0',
  username varchar(255) default NULL,
  umail varchar(50) default NULL,
  stamp datetime default NULL,
  eventend varchar(5) NOT NULL default '',
  subject varchar(255) default NULL,
  description text,
  url varchar(255) default NULL,
  valid varchar(10) default NULL,
  flayer varchar(255) default NULL,
  privat smallint(1) unsigned NOT NULL default '0',
  locationid mediumint(8) unsigned NOT NULL default '0',
  high smallint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;


#
# Tabellenstruktur für Tabelle `e_xoops_ecal_cat`
#

CREATE TABLE ecal_cat (
  cid mediumint(8) unsigned NOT NULL auto_increment,
  pid mediumint(8) unsigned NOT NULL default '0',
  title varchar(60) NOT NULL default '',
  imgurl varchar(255) NOT NULL default '',
  description text,
  PRIMARY KEY  (cid),
  KEY idx (pid)
);

#
# Tabellenstruktur für Tabelle `e_xoops_ecal_location`
#

CREATE TABLE ecal_location (
  lid mediumint(8) unsigned NOT NULL auto_increment,
  cid mediumint(8) unsigned NOT NULL default '0',
  location varchar(255) NOT NULL default '',
  beschreibung text NOT NULL,
  strasse varchar(255) NOT NULL default '',
  plz varchar(5) NOT NULL default '',
  ort varchar(255) NOT NULL default '',
  tel varchar(25) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  valid tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (lid)
);

#
# Tabellenstruktur für Tabelle `e_xoops_ecal_remind`
#

CREATE TABLE ecal_remind (
  id int(8) unsigned NOT NULL auto_increment,
  tid int(8) unsigned NOT NULL default '0',
  uid int(8) unsigned NOT NULL default '0',
  date int(10) default NULL,
  KEY id (id)
) TYPE=MyISAM;

#
# Tabellenstruktur für Tabelle `e_xoops_ecal_userblock
#

CREATE TABLE ecal_userblock (
  uid int(8) unsigned NOT NULL default '0',
  locationid smallint(4) unsigned NOT NULL default '0',
  catid smallint(4) unsigned NOT NULL default '0',
  bllimit smallint(2) default NULL,
  KEY id (uid)
) TYPE=MYISAM;

#
# Tabellenstruktur für Tabelle `e_xoops_ecal_teiln
#

CREATE TABLE ecal_teiln (
  id int(8) unsigned NOT NULL auto_increment,
  tid int(8) unsigned NOT NULL default '0',
  uid int(8) unsigned NOT NULL default '0',
  uname varchar(30) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;


